Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class ClassConverter

    java.lang.Object
      |
      +--org.apache.commons.beanutils.converters.AbstractConverter
            |
            +--org.apache.commons.beanutils.converters.ClassConverter

All Implemented Interfaces:
  Converter

public final class ClassConverter
extends AbstractConverter

`Converter` implementaion that handles conversion to and from java.lang.Class objects.

The class will be loaded from the thread context class loader (if it exists); otherwise the class loader that loaded this class will be used.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.4
Version:
  $Revision: 555845 $ $Date: 2007-07-13 03:52:05 +0100 (Fri, 13 Jul 2007) $
Author:
  Tomas Viberg

Constructor Summary
`ClassConverter()` Construct a java.lang.Class Converter that throws a `ConversionException` if an error occurs.
`ClassConverter(java.lang.Object defaultValue)` Construct a java.lang.Class Converter that returns a default value if an error occurs.

Method Summary
`protected java.lang.String` | `convertToString(java.lang.Object value)` Convert a java.lang.Class or object into a String.
`protected java.lang.Object` | `convertToType(java.lang.Class type, java.lang.Object value)` Convert the input object into a java.lang.Class.

Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter
`convert, convertArray, getDefault, getDefaultType, handleError, handleMissing, isUseDefault, setDefaultValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassConverter

    public ClassConverter()

  Construct a java.lang.Class Converter that throws a `ConversionException` if an error occurs.

### ClassConverter

    public ClassConverter(java.lang.Object defaultValue)

  Construct a java.lang.Class Converter that returns a default value if an error occurs.
  Parameters:
    `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

Method Detail

### convertToString

    protected java.lang.String convertToString(java.lang.Object value)

  Convert a java.lang.Class or object into a String.

  Overrides:
    `convertToString` in class `AbstractConverter`
  Parameters:
    `value` - The input value to be converted
  Returns:
    the converted String value.

### convertToType

    protected java.lang.Object convertToType(java.lang.Class type,
                                             java.lang.Object value)
                                      throws java.lang.Throwable

  Convert the input object into a java.lang.Class.

  Overrides:
    `convertToType` in class `AbstractConverter`
  Parameters:
    `type` - Data type to which this value should be converted.
    `value` - The input value to be converted.
  Returns:
    The converted value.
  Throws:
    `java.lang.Throwable` - if an error occurs converting to the specified type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.